Subject: Re: bug#20915: 25.0.50; [js-mode] electric annoyances

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Jun 2015 10:07:59 -0400

>> FWIW, given the first two lines, the third line's indentation is wrong.
>> Whether the first two lines where auto-indented or manually indented
>> does not matter in this regard (IMNSHO).
> Not according to the current algorithm (which is based on (nth
> 1 parse-status)).

I'm not talking about the current code, but about the behavior we should
strive for.

> Fixing that might require a rewrite on top of e.g. SMIE. Although that might
> be the point you're making.

Kind of: I haven't actually looked at the code, so I have no idea how
easy/hard it would be to make it behave like we want (and AFAIK, using
SMIE for C-style syntaxes is still an open problem, the first hurdle
being the choice of using either "{...}" or "...;" for the branches of
"if").

        Stefan